/// [Angular](https://webdev.dartlang.org/angular) components and other resources for web-based applications.
library ngx_core.angular;

import 'dart:async';
import 'dart:collection';
import 'dart:html' as dom;
import 'package:angular/angular.dart';
import 'package:angular_router/angular_router.dart';

part 'angular/di.dart';
part 'angular/directives/go_back.dart';
part 'angular/directives/page_title.dart';
part 'angular/pipes/encode_uri_pipe.dart';
part 'angular/pipes/nl2br_pipe.dart';
part 'angular/services/application.dart';
part 'angular/services/configuration.dart';
part 'angular/services/document_ref.dart';
part 'angular/services/meta.dart';

/// The module directives.
const List ngxDirectives = const [
  GoBack,
  PageTitle
];

/// The module pipes.
const List ngxPipes = const [
  EncodeUriPipe,
  Nl2brPipe
];

/// The module providers.
const List ngxProviders = const [
  Application,
  Configuration,
  DocumentRef,
  Meta
];
